%% LINEARNI REGRESE PRUBEHU POKLESU
volbart=20
for k=i_up:-1:i_low
    obalka=MATICE(k-i_low+1,:)
    [linearCoefficients, rt, xFit, yFit] = regressline( obalka , volbart , fs )
    RT_impulse(k-i_low+1,2)=rt
    RT_impulse(k-i_low+1,1)=Fc(1,k)
end

volbart=30
for k=i_up:-1:i_low
    obalka=MATICE(k-i_low+1,:)
    [linearCoefficients, rt, xFit, yFit] = regressline( obalka , volbart , fs )
    RT_impulse(k-i_low+1,3)=rt
    RT_impulse(k-i_low+1,1)=Fc(1,k)
end